Bug 522329 - intel_bufmgr_fake.c:751: intel_bufmgr_fake_contended_lock_take: Assertion `_fence_test(bufmgr_fake, block->fence)' failed.
Summary: intel_bufmgr_fake.c:751: intel_bufmgr_fake_contended_lock_take: Assertion `_f...
Keywords:
Status: CLOSED DUPLICATE of bug 521574
Alias: None
Product: Fedora
Classification: Fedora
Component: libdrm
Version: 11
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 05:34 UTC by Joe Ogulin
Modified: 2018-04-11 09:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 00:32:57 UTC


Attachments (Terms of Use)

Description Joe Ogulin 2009-09-10 05:34:43 UTC
Description of problem:
Both boot to runlevel 5 and just running "startx" in runlevel 3 cause the console to completely hang.  In /var/log/kdm.log and in Xorg.setup.log (thought maybe the configuration was corrupt) I see this error message:

kdm.log:X: intel_bufmgr_fake.c:751: intel_bufmgr_fake_contended_lock_take: Assertion `_fence_test(bufmgr_fake, block->fence)' failed.

Version-Release number of selected component (if applicable):
Fedora 11, kernel 2.6.30.5-43, libdrm 2.4.6-7, and mesa-dri-drivers 7.6-0.1

How reproducible:
Update kernel to specified level and then reboot.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
System hangs; not even the keyboard or mouse will respond

Expected results:
Normal boot sequence

Additional info:

Comment 1 Joe Ogulin 2009-09-11 03:57:52 UTC
I should note:  I can boot to run level 3, but when I try to either boot to run level 5 or run "startx" from the command line, I get the same result... system locks up with no response from mouse or keyboard.

Comment 2 Joe Ogulin 2009-09-18 04:09:23 UTC
Content of Xorg.setup.log from run of system-config-display when booted to runlevel 3:

X.Org X Server 1.6.3
Release Date: 2009-7-31
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-128.4.1.el5 i686
Current Operating System: Linux tyranus 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36 EDT 2009 i686
Kernel command line: ro root=UUID=a906983e-38b2-405e-be54-4aae4d8bb948 rhgb quiet irqpoll 3
Build Date: 19 August 2009  12:30:16AM
Build ID: xorg-x11-server 1.6.3-4.fc11
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/dev/null", Time: Thu Sep 17 23:27:04 2009
(++) Using config file: "/tmp/tmpSMes5dxorg.config"
(EE) intel(0): max_gtt_map_size: 60190kb.
Setting master
(EE) intel(0): max_gtt_map_size: 60190kb.
p_size: 60190kb.
: Assertion `((&bufmgr_fake->fenced)->next == (&bufmgr_fake->fenced))' failed.

Comment 3 Joe Ogulin 2009-09-26 02:37:43 UTC
This is the same issue as Bug 521574

Comment 4 Matěj Cepl 2009-11-05 18:37:44 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 Matěj Cepl 2010-02-26 12:18:46 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 6 Joe Ogulin 2010-02-26 13:15:30 UTC
(In reply to comment #5)
> Could you please reply to the previous question? If you won't reply in one
> month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

See Comment #3

Comment 7 Matěj Cepl 2010-03-11 00:32:57 UTC

*** This bug has been marked as a duplicate of bug 521574 ***


Note You need to log in before you can comment on or make changes to this bug.